Subject: Space in PATH replaced with :?!
From: Johan Niklasson <[email-masked]>
To: [email-masked]
Date: Wed, 28 Mar 2001 17:42:32 +0200

Hi!

On NT4 sp 4, cygwin 1.1.8
I have a problem with my path getting distorted by tr and sed.
I do not want to change my path to the old DOS-form~2

I wonder if there is some setting I have wrong, or do I simply have to
live with this problem, as suggested by the FAQ?

My path shall look like this:

/bin:cygwin/usr/include:.:/usr/bin:/usr/lib:/Winnt/System32/:/Program
Files/ESOE/Microsoft Visual Studio/Common/MSDev98/Bin:/Program
Files/ESOE/Microsoft Visual Studio/VC60/bin.....

But after issuing this command in a tcsh 
set path = `echo $PATH | tr : '\n' | grep -v "LM_"`

it looks like:

/bin:cygwin/usr/include:.:/usr/bin:/usr/lib:/Winnt/System32/:/Program:Files/ESOE/Microsoft:Visual:Studio/Common/MSDev98/Bin:/Program:Files/ESOE/Microsoft:Visual:Studio/VC60/bin.....

which gives me problems to use VS compiler.
 
Some of the setting I have is:
CYGWIN=tty ntea ntsec
TERM=ansi
TERMCAP=C:\etc\termcap

If anyone has a solution this problem I'd be most grateful.

Best regards
Johan Niklasson
--

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple